import { O as f, R as n } from "./install-BuMO14Rb.js";
function r(t) {
  return { all: t = t || /* @__PURE__ */ new Map(), on: function(i, o) {
    var e = t.get(i);
    e ? e.push(o) : t.set(i, [o]);
  }, off: function(i, o) {
    var e = t.get(i);
    e && (o ? e.splice(e.indexOf(o) >>> 0, 1) : t.set(i, []));
  }, emit: function(i, o) {
    var e = t.get(i);
    e && e.slice().map(function(s) {
      s(o);
    }), (e = t.get("*")) && e.slice().map(function(s) {
      s(i, o);
    });
  } };
}
const c = r(), m = {
  $on: (...t) => c.on(...t),
  $off: (...t) => c.off(...t),
  $emit: (...t) => c.emit(...t)
};
var a = n();
const p = /* @__PURE__ */ f(a);
export {
  m as e,
  p as i
};
